header{
  width: 100%;
  height: 60vh;
  margin-top: 2.5rem;
  text-align: left;
  display: flex;
  flex-direction: row;
  background-image: url(../images/home/pattern.png);
  background-repeat: repeat;
  background-size: cover;
  padding: 1.5rem 1rem;
  align-items: center;
  justify-content: center;
  box-shadow: var(--shadow-inset);
}

.texto__cabecalho > h1{
  color: var(--text-color);
  font-family: Luckiest Guy;
  font-size: 2rem;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.texto__cabecalho{
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  padding: 0;
  margin-top: 0;
  color: var(--text-color);
  font-family: Open Sans;
  font-size: 16px;
}

.texto__cabecalho > p{
  width: 7rem;
  font-weight: bold;
  margin-left: .5rem;
}

.texto__cabecalho > button{
  background: var(--btn-bg-color-gradient);
  border-radius: 25px;
  border: none;
  text-transform: uppercase;
  width: 9rem;
  height: 2.5rem;
  color: var(--text-color);
  font-weight: 800;
  box-shadow: var(--shadow);
  animation: wiggle 2.2s linear infinite;
}

.texto__cabecalho > button:hover{
  transform: scale(1.05);
  animation: none;
}

.imagem__cabecalho > img{
  width: 200px;
}

#about{
  text-align: justify;
  padding: 1rem;
  background-color: var(--palette-light-yellow);
}

#about > h2{
  text-align: center;
  padding: 1rem;
}

#about > p{
  padding: 1rem;
}

/* Seções de conteúdo */
.content{
  height: auto;
  width: auto;
}

.content__playing{
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 2rem;
}

#playing{
  background-image: url(../images/home/jogando.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top;
  border-radius: 10px;
  height: 17rem;
  width: 23rem;
}

.text{
  display: flex;
  flex-direction: column;
  gap: .5rem;
  align-items: left;
  text-align: justify;
  padding: 1rem;
}

.content__watching{
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  padding: 2rem;
  background-color: var(--palette-light-yellow);
}

#watching{
  background-image: url(../images/home/assistindo.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top;
  border-radius: 10px;
  height: 17rem;
  width: 23rem;
}

.cadastro{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: justify;
  padding: 1.5rem;
  gap: 1rem;
  height: 15rem;
}

.cadastro > p{
  padding: 1rem;
}

.cadastro > button{
  width: 50%;
  height: 3rem;
  background-color: var(--palette-orange);
  background: var(--btn-bg-color-gradient);
  border-radius: 25px;
  border: none;
  text-transform: uppercase;
  animation: wiggle 2.2s linear infinite;
  font-weight: 300;
}

.cadastro button:hover{
  animation: none;
  outline: 2px solid var(--palette-orange);
  transform: scale(1.05);
}

/* Tablet */
@media screen and (min-width: 768px) and (max-width: 1023px){
  header{
    height: 70vh;
  }
  .texto__cabecalho > h1{
    font-size: 4rem;
  }
  .texto__cabecalho{
    gap: 4rem;
  }
  .texto__cabecalho > p{
    font-size: 28px;
    width: 22rem;
  }
  .texto__cabecalho > button{
    margin-left: 3rem;
  }
  .imagem__cabecalho > img{
    width: 300px;
  }
  .content__playing,
  .content__watching{
    flex-direction: row;
    align-items: center;
  }
  #playing,
  #watching{
    width: 100rem;
    margin: 1.5rem;
  }
  .cadastro > button{
    width: 30%;
  }
}

/* Telas maiores */
@media screen and (min-width: 1024px){
  header{
    height: 85vh;
  }
  .texto__cabecalho > h1{
    font-size: 5rem;
  }
  .texto__cabecalho{
    gap: 6rem;
  }
  .texto__cabecalho > p{
    font-size: 25px;
    width: 25rem;
  }
  .texto__cabecalho > button{
    width: 15rem;
    height: 3rem;
    margin-left: 4rem;
    font-size: large;
  }
  .imagem__cabecalho > img{
    width: 400px;
  }
  #about{
    display: flex;
    flex-direction: column;
    height: 20rem;
    justify-content: center;
    align-items: center;
    padding: 2rem;
  }
  #about > p{
    max-width: 60rem;
  }
  .text{
    width: 30rem;
  }
  .content__playing,
  .content__watching{
    flex-direction: row;
    align-items: center;
    justify-content: center;
    height: 500px;
    max-width: 100%;
  }
  #playing,
  #watching{
    width: 500px;
    max-width: 100%;
  }
  #playing{
    height: 800px;
    max-height: 70%;
  }
  #watching{
    margin: 1.5rem;
  }
  .cadastro > button {
    width: 15%;
  }
}
/* Animação do botão */
@keyframes wiggle {
  0%,
  10% {
    transform: rotate(0);
  }
  15% {
    transform: rotate(-10deg);
  }
  20% {
    transform: rotate(5deg);
  }
  25% {
    transform: rotate(-5deg);
  }
  30% {
    transform: rotate(5deg);
  }
  35% {
    transform: rotate(-5deg);
  }
  40%,
  100% {
    transform: rotate(0);
  }
}